package com.ruoyi.utils;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import org.springframework.core.io.ClassPathResource;

import java.io.IOException;
import java.io.InputStream;

/**
 * 读取json
 */

public class JsonUtils {
    /**
     * 读取JSONObject
     * @param json
     * @return
     */
    public static JSONObject readJsonObject(String json){
        json = "config/"+json;
        ClassPathResource classPathResource = new ClassPathResource(json);
        InputStream inputStream = null;
        try {
            inputStream = classPathResource.getInputStream();
        } catch (IOException e) {
            e.printStackTrace();
        }

        if (inputStream == null) {
            throw new RuntimeException("读取文件失败");
        } else {
            try {
                return JSON.parseObject(inputStream, JSONObject.class);
            } catch (Exception e) {
                e.printStackTrace();
                return new JSONObject();
            }
        }
    }

    /**
     * 读取 JSONArray
     * @param json
     * @return
     */
    public static JSONArray readJsonArray(String json){
        json = "config/"+json;
        ClassPathResource classPathResource = new ClassPathResource(json);
        InputStream inputStream = null;
        try {
            inputStream = classPathResource.getInputStream();
        } catch (IOException e) {
            e.printStackTrace();
        }

        if (inputStream == null) {
            throw new RuntimeException("读取文件失败");
        } else {
            try {
                return JSON.parseObject(inputStream, JSONArray.class);
            } catch (Exception e) {
                e.printStackTrace();
                return new JSONArray();
            }
        }
    }

//    /**
//     * 判断字符串是否为JSONObject
//     * @param jsonStr
//     * @return
//     */
//    public static Boolean isJSONObject(String jsonStr){
//        try {
//            Object json = new JSONTokener(jsonStr).nextValue();
//            if(json instanceof JSONObject){
////                JSONObject jsonObject = (JSONObject)json;
//                return true;
//            }else if (json instanceof JSONArray){
////                JSONArray jsonArray = (JSONArray)json;
//            }
//
//            return false;
//        }catch (Exception e){
//            return false;
//        }
//    }
//
//    /**
//     * 判断字符串是否为 JSONArray
//     * @param jsonStr
//     * @return
//     */
//    public static Boolean isJSONArray(String jsonStr){
//        try {
//            Object json = new JSONTokener(jsonStr).nextValue();
//            if(json instanceof JSONObject){
////                JSONObject jsonObject = (JSONObject)json;
//            }else if (json instanceof JSONArray){
////                JSONArray jsonArray = (JSONArray)json;
//                return true;
//            }
//
//            return false;
//        }catch (Exception e){
//            return false;
//        }
//    }




    public static void main(String[] args) throws IOException {
        // 读取项目路径下的文件 mock/person.json
//        JSONObject jsonObject=readJsonObject("obj.json");
//        System.out.println(jsonObject);
//
//        JSONObject jsonObject2=readJsonObject("objarray.json");
//        System.out.println(jsonObject2);
//
//        JSONArray array=readJsonArray("array.json");
//        System.out.println(array);


//        JSONObject jsonObject2=readJsonObject("main.json");
//        System.out.println(jsonObject2);

    }
}